Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig::UtRxConfig_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Rx config Register. More...
## Data Fields
unsigned int | rxInterface:1
| [31] Utopia Receive Interface
unsigned int | rxMode:1
| [30] Utopia Receive Mode
unsigned int | rxOctet:1
| [29] Utopia Receive cell transfer protocol
unsigned int | rxParity:1
| [28] Utopia Receive Parity Checking enable
unsigned int | rxEvenParity:1
| [27] Utopia Receive Parity Mode 1 - Check for Even Parity 0 - Check for Odd Parity.
unsigned int | rxHEC:1
| [26] RxHEC Header Error Check Mode
unsigned int | rxCOSET:1
| [25] If enabled the HEC is Exclusive-ORÆed with the value 0x55 before being tested with the received HEC
unsigned int | rxHECpass:1
| [24] Specifies if the incoming cell HEC byte should be transferred after optional processing to the NPE2 Coprocessor Bus Interface or if it should be discarded
unsigned int | reserved_1:1
| [23] These bits are always 0
unsigned int | rxCellSize:7
| [22:16] Receive cell size
unsigned int | rxHashEnbGFC:1
| [15] Specifies if the VPI field [11:8]/GFC field should be included in the Hash data input or if the bits should be padded with 1Æb0
unsigned int | rxPreHash:1
| [14] Enable Pre-hash value generation
unsigned int | reserved_2:1
| [13] These bits are always 0
unsigned int | rxAddrRange:5
| [12:8] In ATM master, MPHY mode, this register specifies the upper limit of the PHY polling logical range
unsigned int | reserved_3:3
| [7-5] These bits are always 0 .
unsigned int | rxPHYAddr:5
| [4:0] When configured as a slave in an MPHY system this register specifies the physical address of the PHY
## Detailed Description Utopia Rx config Register. Definition at line 1274 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::reserved_1
| [23] These bits are always 0 Definition at line 1317 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::reserved_2
| [13] These bits are always 0 Definition at line 1334 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::reserved_3
| [7-5] These bits are always 0 . Definition at line 1341 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxAddrRange
| [12:8] In ATM master, MPHY mode, this register specifies the upper limit of the PHY polling logical range The number of active PHYs are RxAddrRange + 1. Definition at line 1336 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxCellSize
| [22:16] Receive cell size Configures the receive cell size. Values between 52-64 are valid Definition at line 1319 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxCOSET
| [25] If enabled the HEC is Exclusive-ORÆed with the value 0x55 before being tested with the received HEC 1 - Enable HEC ExOR with value 0x55. 0 - Use generated HEC value. Definition at line 1306 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxEvenParity
| [27] Utopia Receive Parity Mode 1 - Check for Even Parity 0 - Check for Odd Parity. Definition at line 1297 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxHashEnbGFC
| [15] Specifies if the VPI field [11:8]/GFC field should be included in the Hash data input or if the bits should be padded with 1Æb0 1 - VPI [11:8]/GFC field valid and used in Hash residue calculation. 0 - VPI [11:8]/GFC field padded with 1Æb0 Definition at line 1322 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxHEC
| [26] RxHEC Header Error Check Mode Enables/disables cell header error checking on the received cell header. 1 - HEC checking enabled 0 - HEC checking disabled Definition at line 1301 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxHECpass
| [24] Specifies if the incoming cell HEC byte should be transferred after optional processing to the NPE2 Coprocessor Bus Interface or if it should be discarded 1 - HEC maintained 53-byte/UDC cell sent to NPE2. 0 - HEC discarded 52-byte/UDC cell sent to NPE2 coprocessor. Definition at line 1311 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxInterface
| [31] Utopia Receive Interface The following encoding is used to set the Utopia Receive interface as ATM master or PHY slave: 1 - PHY 0 - ATM Definition at line 1277 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxMode
| [30] Utopia Receive Mode The following encoding is used to set the Utopia Receive mode to SPHY or MPHY: 1 - SPHY 0 - MPHY Definition at line 1282 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxOctet
| [29] Utopia Receive cell transfer protocol Used to set the Utopia cell transfer protocol to Octet-level handshaking. Note this is only applicable in SPHY mode. 1 - Octet-handshaking enabled 0 - Cell-handshaking enabled Definition at line 1287 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxParity
| [28] Utopia Receive Parity Checking enable 1 - Parity checking enabled 0 - Parity checking disabled Definition at line 1293 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxPHYAddr
| [4:0] When configured as a slave in an MPHY system this register specifies the physical address of the PHY Definition at line 1342 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxConfig_::rxPreHash
| [14] Enable Pre-hash value generation Specifies if the incoming cell data should be pre-hashed to allow VPI/VCI header look-up in a hash table. 1 - Pre-hashing enabled 0 - Pre-hashing disabled Definition at line 1328 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003